#include "filters.h"

char *datafile="/dev/null";

/*
** read garbage from stdin, write postscript to stdout
*/
int main(int argc, char **argv, char **envp)
{
  char buf[CHUNK];
  int bytes;
  char command[512];
  int i;

  for (i=1;i<argc;i++)
    {
      if (strncmp("-e",argv[i],2)==0)
	datafile=(char *)strdup(argv[i]+2);
    }

  dprintf("setting up filters\n");
  setupfilters(getfiletype(datafile));
  sleep(1);
  dprintf("converting file\n");
  while((bytes=read(0,buf,CHUNK))>0)
    {
      dprintf("read %d bytes\n",bytes);
      if (writebuf(1,buf,bytes)==e_err)
	perror("write()");
    }
  dprintf("read %d bytes\n",bytes);
  perror("read()");
  dprintf("all done converting file\n");

  return(JSUCC);
}
